<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * @link  https://makewebbetter.com/
 * @since 1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/*
 * General Settings Template
 */
$current_tab = 'mwb_wpr_general_setting';
if ( isset( $_GET['tab'] ) ) {
	$current_tab = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : '';
}
$mwb_wpr_gen_nonce_verify = ! empty( $_POST['mwb_wpr_gen_nonce_verify'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_gen_nonce_verify'] ) ) : '';
if ( wp_verify_nonce( $mwb_wpr_gen_nonce_verify, 'mwb-gen-verify-nonce' ) ) {
	if ( isset( $_POST['mwb_wpr_save_general'] ) ) {
		?>
		<?php
		if ( 'mwb_wpr_general_setting' === $current_tab ) {
			$general_settings_array = array();
			$enable_mwb_wpr         = isset( $_POST['mwb_wpr_general_setting_enable'] ) ? 1 : 0;
			$enable_mwb_signup      = isset( $_POST['mwb_wpr_general_signup'] ) ? 1 : 0;

			$mwb_signup_value        = ( isset( $_POST['mwb_wpr_general_signup_value'] ) && null != $_POST['mwb_wpr_general_signup_value'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_general_signup_value'] ) ) : 1;
			$enable_mwb_comment      = isset( $_POST['mwb_wpr_general_comment_enable'] ) ? 1 : 0;
			$mwb_comment_value       = ( isset( $_POST['mwb_wpr_general_comment_value'] ) && null != $_POST['mwb_wpr_general_comment_value'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_general_comment_value'] ) ) : 1;
			$enable_mwb_refer        = isset( $_POST['mwb_wpr_general_refer_enable'] ) ? 1 : 0;
			$mwb_refer_value_disable = isset( $_POST['mwb_wpr_general_refer_value_disable'] ) ? 1 : 0;
			$enable_mwb_social       = isset( $_POST['mwb_wpr_general_social_media_enable'] ) ? 1 : 0;
			$mwb_wpr_facebook        = isset( $_POST['mwb_wpr_facebook'] ) ? 1 : 0;
			$mwb_wpr_twitter         = isset( $_POST['mwb_wpr_twitter'] ) ? 1 : 0;
			$mwb_wpr_google          = isset( $_POST['mwb_wpr_google'] ) ? 1 : 0;
			$mwb_wpr_email           = isset( $_POST['mwb_wpr_email'] ) ? 1 : 0;

			$mwb_social_selection           = array(
				'Facebook' => $mwb_wpr_facebook,
				'Twitter'  => $mwb_wpr_twitter,
				'Google'   => $mwb_wpr_google,
				'Email'    => $mwb_wpr_email,
			);
			$mwb_refer_value                = ( isset( $_POST['mwb_wpr_general_refer_value'] ) && null != $_POST['mwb_wpr_general_refer_value'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_general_refer_value'] ) ) : 1;
			$mwb_refer_min                  = ( isset( $_POST['mwb_wpr_general_refer_minimum'] ) && null != $_POST['mwb_wpr_general_refer_minimum'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_general_refer_minimum'] ) ) : 1;
			$mwb_wpr_general_product_points = ( isset( $_POST['mwb_wpr_general_product_points'] ) && null != $_POST['mwb_wpr_general_product_points'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_general_product_points'] ) ) : 1;

			$mwb_text_points_value         = ( isset( $_POST['mwb_wpr_general_text_points'] ) && null != $_POST['mwb_wpr_general_text_points'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_general_text_points'] ) ) ) : __( 'My Points', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_ways_to_gain_points_value = ( isset( $_POST['mwb_wpr_general_ways_to_gain_points'] ) && null != $_POST['mwb_wpr_general_ways_to_gain_points'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_general_ways_to_gain_points'] ) ) ) : '';

			$mwb_referral_purchase_enable        = isset( $_POST['mwb_wpr_general_referal_purchase_enable'] ) ? 1 : 0;
			$mwb_referral_purchase_limit         = isset( $_POST['mwb_wpr_general_referal_purchase_limit'] ) ? 1 : 0;
			$mwb_referral_purchase_value         = ( isset( $_POST['mwb_wpr_general_referal_purchase_value'] ) && null != $_POST['mwb_wpr_general_referal_purchase_value'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_general_referal_purchase_value'] ) ) : 1;
			$mwb_wpr_general_referal_order_limit = ( isset( $_POST['mwb_wpr_general_referal_order_limit'] ) && null != $_POST['mwb_wpr_general_referal_order_limit'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_general_referal_order_limit'] ) ) : 1;
			$enable_purchase_points              = isset( $_POST['mwb_wpr_product_purchase_points'] ) ? 1 : 0;
			$mwb_wpr_restrict_pro_by_points      = isset( $_POST['mwb_wpr_restrict_pro_by_points'] ) ? 1 : 0;
			$mwb_wpr_purchase_product_text       = ( isset( $_POST['mwb_wpr_purchase_product_text'] ) && null != $_POST['mwb_wpr_purchase_product_text'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_purchase_product_text'] ) ) ) : __( 'Use your Points for purchasing this Product', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_purchase_points             = ( isset( $_POST['mwb_wpr_purchase_points'] ) && null != $_POST['mwb_wpr_purchase_points'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_purchase_points'] ) ) : 1;

			$mwb_wpr_product_purchase_price = ( isset( $_POST['mwb_wpr_product_purchase_price'] ) && null != $_POST['mwb_wpr_product_purchase_price'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_product_purchase_price'] ) ) : 1;
			$mwb_wpr_points_tab_text        = ( isset( $_POST['mwb_wpr_points_tab_text'] ) && null != $_POST['mwb_wpr_points_tab_text'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_points_tab_text'] ) ) ) : '';
			$mwb_wpr_assign_pro_text        = ( isset( $_POST['mwb_wpr_assign_pro_text'] ) && null != $_POST['mwb_wpr_assign_pro_text'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_assign_pro_text'] ) ) ) : __( 'Product Points', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_set_preferences        = isset( $_POST['mwb_wpr_set_preferences'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_set_preferences'] ) ) : 'to_both';
			$mwb_wpr_categ_list             = ! empty( $_POST['mwb_wpr_restrictions_for_purchasing_cat'] ) ? ( is_array( $_POST['mwb_wpr_restrictions_for_purchasing_cat'] ) ? map_deep( wp_unslash( $_POST['mwb_wpr_restrictions_for_purchasing_cat'] ), 'sanitize_text_field' ) : sanitize_text_field( wp_unslash( $_POST['mwb_wpr_restrictions_for_purchasing_cat'] ) ) ) : array();
			$mwb_wpr_enable_daily_login     = ! empty( $_POST['mwb_wpr_enable_daily_login'] ) ? 1 : 0;
			$mwb_wpr_daily__login_points    = ! empty( $_POST['mwb_wpr_daily__login_points'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_daily__login_points'] ) ) : 1;
			$mwb_wpr_show_points_user_table = ! empty( $_POST['mwb_wpr_show_points_user_table'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_show_points_user_table'] ) ) : 'off';

			// Wallet compatible settings.
			$mwb_wpr_enable_wallet_settings   = ! empty( $_POST['mwb_wpr_enable_wallet_settings'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_enable_wallet_settings'] ) ) : 'off';
			$mwb_wpr_wallet_conversion_points = ! empty( $_POST['mwb_wpr_wallet_conversion_points'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_wallet_conversion_points'] ) ) : '1';
			$mwb_wpr_wallet_conversion_price  = ! empty( $_POST['mwb_wpr_wallet_conversion_price'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_wallet_conversion_price'] ) ) : '1';

			// subscription settings.
			$mwb_wpr_enable_subs_settings = ! empty( $_POST['mwb_wpr_enable_subs_settings'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_enable_subs_settings'] ) ) : 'off';
			$mwb_wpr_subs_renewal_points  = ! empty( $_POST['mwb_wpr_subs_renewal_points'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_subs_renewal_points'] ) ) : '1';
			$mwb_wpr_show_renewal_notice  = ! empty( $_POST['mwb_wpr_show_renewal_notice'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_show_renewal_notice'] ) ) : 'off';
			$mwb_wpr_renewal_notice       = ! empty( $_POST['mwb_wpr_renewal_notice'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_renewal_notice'] ) ) : '';

			$general_settings_array['enable_mwb_wpr']                          = $enable_mwb_wpr;
			$general_settings_array['enable_mwb_signup']                       = $enable_mwb_signup;
			$general_settings_array['mwb_signup_value']                        = $mwb_signup_value;
			$general_settings_array['enable_mwb_comment']                      = $enable_mwb_comment;
			$general_settings_array['mwb_comment_value']                       = $mwb_comment_value;
			$general_settings_array['enable_mwb_refer']                        = $enable_mwb_refer;
			$general_settings_array['mwb_refer_value']                         = $mwb_refer_value;
			$general_settings_array['mwb_refer_min']                           = $mwb_refer_min;
			$general_settings_array['enable_mwb_social']                       = $enable_mwb_social;
			$general_settings_array['mwb_text_points_value']                   = $mwb_text_points_value;
			$general_settings_array['mwb_ways_to_gain_points_value']           = $mwb_ways_to_gain_points_value;
			$general_settings_array['mwb_referral_purchase_enable']            = $mwb_referral_purchase_enable;
			$general_settings_array['mwb_referral_purchase_limit']             = $mwb_referral_purchase_limit;
			$general_settings_array['mwb_referral_purchase_value']             = $mwb_referral_purchase_value;
			$general_settings_array['mwb_wpr_general_referal_order_limit']     = $mwb_wpr_general_referal_order_limit;
			$general_settings_array['mwb_social_selection']                    = $mwb_social_selection;
			$general_settings_array['mwb_wpr_general_refer_value_disable']     = $mwb_refer_value_disable;
			$general_settings_array['enable_purchase_points']                  = $enable_purchase_points;
			$general_settings_array['mwb_wpr_restrict_pro_by_points']          = $mwb_wpr_restrict_pro_by_points;
			$general_settings_array['mwb_wpr_purchase_product_text']           = $mwb_wpr_purchase_product_text;
			$general_settings_array['mwb_wpr_purchase_points']                 = $mwb_wpr_purchase_points;
			$general_settings_array['mwb_wpr_product_purchase_price']          = $mwb_wpr_product_purchase_price;
			$general_settings_array['mwb_wpr_points_tab_text']                 = $mwb_wpr_points_tab_text;
			$general_settings_array['mwb_wpr_assign_pro_text']                 = $mwb_wpr_assign_pro_text;
			$general_settings_array['mwb_wpr_set_preferences']                 = $mwb_wpr_set_preferences;
			$general_settings_array['mwb_wpr_restrictions_for_purchasing_cat'] = $mwb_wpr_categ_list;
			$general_settings_array['mwb_wpr_enable_daily_login']              = $mwb_wpr_enable_daily_login;
			$general_settings_array['mwb_wpr_daily__login_points']             = $mwb_wpr_daily__login_points;
			$general_settings_array['mwb_wpr_show_points_user_table']          = $mwb_wpr_show_points_user_table;
			$general_settings_array['mwb_wpr_enable_wallet_settings']          = $mwb_wpr_enable_wallet_settings;
			$general_settings_array['mwb_wpr_wallet_conversion_points']        = $mwb_wpr_wallet_conversion_points;
			$general_settings_array['mwb_wpr_wallet_conversion_price']         = $mwb_wpr_wallet_conversion_price;
			$general_settings_array['mwb_wpr_enable_subs_settings']            = $mwb_wpr_enable_subs_settings;
			$general_settings_array['mwb_wpr_subs_renewal_points']             = $mwb_wpr_subs_renewal_points;
			$general_settings_array['mwb_wpr_show_renewal_notice']             = $mwb_wpr_show_renewal_notice;
			$general_settings_array['mwb_wpr_renewal_notice']                  = $mwb_wpr_renewal_notice;

			if ( is_array( $general_settings_array ) ) {
				if ( isset( $enable_purchase_points ) && 1 == $enable_purchase_points ) {
					$mwb_wpr_custom_points_on_cart = get_option( 'mwb_wpr_custom_points_on_cart', 0 );
				}
			}
			update_option( 'mwb_wpr_settings_gallery', $general_settings_array );
		}
		?>
		<div class="notice notice-success is-dismissible">
			<p><strong><?php esc_html_e( 'Settings saved.', 'woocommerce-ultimate-points-and-rewards' ); ?></strong></p>
			<button type="button" class="notice-dismiss">
				<span class="screen-reader-text"><?php esc_html_e( 'Dismiss this notices.', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
			</button>
		</div>
		<?php
	}
}
?>
<?php $general_settings = get_option( 'mwb_wpr_settings_gallery', true ); ?>
<?php
if ( ! is_array( $general_settings ) ) :
	$general_settings = array();
endif;
?>
<div class="mwb_table">
	<table class="form-table mwb_wpr_general_setting mwp_wpr_settings">
		<?php
			$enable_mwb_wpr                      = isset( $general_settings['enable_mwb_wpr'] ) ? intval( $general_settings['enable_mwb_wpr'] ) : 0;
			$enable_mwb_signup                   = isset( $general_settings['enable_mwb_signup'] ) ? intval( $general_settings['enable_mwb_signup'] ) : 0;
			$mwb_signup_value                    = isset( $general_settings['mwb_signup_value'] ) ? intval( $general_settings['mwb_signup_value'] ) : 1;
			$enable_mwb_comment                  = isset( $general_settings['enable_mwb_comment'] ) ? intval( $general_settings['enable_mwb_comment'] ) : 0;
			$mwb_comment_value                   = isset( $general_settings['mwb_comment_value'] ) ? intval( $general_settings['mwb_comment_value'] ) : 1;
			$enable_mwb_refer                    = isset( $general_settings['enable_mwb_refer'] ) ? intval( $general_settings['enable_mwb_refer'] ) : 0;
			$enable_mwb_social                   = isset( $general_settings['enable_mwb_social'] ) ? intval( $general_settings['enable_mwb_social'] ) : 0;
			$mwb_refer_value                     = isset( $general_settings['mwb_refer_value'] ) ? intval( $general_settings['mwb_refer_value'] ) : 1;
			$mwb_refer_min                       = isset( $general_settings['mwb_refer_min'] ) ? intval( $general_settings['mwb_refer_min'] ) : 1;
			$mwb_text_points_value               = isset( $general_settings['mwb_text_points_value'] ) ? $general_settings['mwb_text_points_value'] : __( 'My Points', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_ways_to_gain_points_value       = isset( $general_settings['mwb_ways_to_gain_points_value'] ) ? $general_settings['mwb_ways_to_gain_points_value'] : '';
			$mwb_referral_purchase_enable        = isset( $general_settings['mwb_referral_purchase_enable'] ) ? intval( $general_settings['mwb_referral_purchase_enable'] ) : 0;
			$mwb_referral_purchase_limit         = isset( $general_settings['mwb_referral_purchase_limit'] ) ? intval( $general_settings['mwb_referral_purchase_limit'] ) : 0;
			$mwb_referral_purchase_value         = isset( $general_settings['mwb_referral_purchase_value'] ) ? intval( $general_settings['mwb_referral_purchase_value'] ) : 1;
			$mwb_wpr_general_referal_order_limit = isset( $general_settings['mwb_wpr_general_referal_order_limit'] ) ? intval( $general_settings['mwb_wpr_general_referal_order_limit'] ) : 1;
			$mwb_social_selection                = isset( $general_settings['mwb_social_selection'] ) ? $general_settings['mwb_social_selection'] : array();
			$mwb_refer_value_disable             = isset( $general_settings['mwb_wpr_general_refer_value_disable'] ) ? intval( $general_settings['mwb_wpr_general_refer_value_disable'] ) : 0;
			$enable_purchase_points              = isset( $general_settings['enable_purchase_points'] ) ? intval( $general_settings['enable_purchase_points'] ) : 0;
			$mwb_wpr_restrict_pro_by_points      = isset( $general_settings['mwb_wpr_restrict_pro_by_points'] ) ? intval( $general_settings['mwb_wpr_restrict_pro_by_points'] ) : 0;
			$mwb_wpr_purchase_product_text       = isset( $general_settings['mwb_wpr_purchase_product_text'] ) ? $general_settings['mwb_wpr_purchase_product_text'] : __( 'Use your Points for purchasing this Product', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_purchase_points             = ( isset( $general_settings['mwb_wpr_purchase_points'] ) && null != $general_settings['mwb_wpr_purchase_points'] ) ? $general_settings['mwb_wpr_purchase_points'] : 1;

			$mwb_wpr_product_purchase_price = ( isset( $general_settings['mwb_wpr_product_purchase_price'] ) && null != $general_settings['mwb_wpr_product_purchase_price'] ) ? intval( $general_settings['mwb_wpr_product_purchase_price'] ) : 1;
			$mwb_wpr_points_tab_text        = isset( $general_settings['mwb_wpr_points_tab_text'] ) ? $general_settings['mwb_wpr_points_tab_text'] : '';
			$mwb_wpr_assign_pro_text        = isset( $general_settings['mwb_wpr_assign_pro_text'] ) ? $general_settings['mwb_wpr_assign_pro_text'] : __( 'Product Points', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_set_preferences        = isset( $general_settings['mwb_wpr_set_preferences'] ) ? $general_settings['mwb_wpr_set_preferences'] : 'to_both';
			$mwb_wpr_categ_list             = isset( $general_settings['mwb_wpr_restrictions_for_purchasing_cat'] ) ? $general_settings['mwb_wpr_restrictions_for_purchasing_cat'] : array();
			$mwb_wpr_enable_daily_login     = ! empty( $general_settings['mwb_wpr_enable_daily_login'] ) ? intval( $general_settings['mwb_wpr_enable_daily_login'] ) : 0;
			$mwb_wpr_daily__login_points    = ! empty( $general_settings['mwb_wpr_daily__login_points'] ) ? intval( $general_settings['mwb_wpr_daily__login_points'] ) : 1;
			$mwb_wpr_show_points_user_table = ! empty( $general_settings['mwb_wpr_show_points_user_table'] ) ? $general_settings['mwb_wpr_show_points_user_table'] : 'off';

			// wallet compatible settings.
			$mwb_wpr_enable_wallet_settings   = ! empty( $general_settings['mwb_wpr_enable_wallet_settings'] ) ? $general_settings['mwb_wpr_enable_wallet_settings'] : 'off';
			$mwb_wpr_wallet_conversion_points = ! empty( $general_settings['mwb_wpr_wallet_conversion_points'] ) ? $general_settings['mwb_wpr_wallet_conversion_points'] : '1';
			$mwb_wpr_wallet_conversion_price  = ! empty( $general_settings['mwb_wpr_wallet_conversion_price'] ) ? $general_settings['mwb_wpr_wallet_conversion_price'] : '1';

			// subscription compatible settings.
			$mwb_wpr_enable_subs_settings = ! empty( $general_settings['mwb_wpr_enable_subs_settings'] ) ? $general_settings['mwb_wpr_enable_subs_settings'] : 'off';
			$mwb_wpr_subs_renewal_points  = ! empty( $general_settings['mwb_wpr_subs_renewal_points'] ) ? $general_settings['mwb_wpr_subs_renewal_points'] : '1';
			$mwb_wpr_show_renewal_notice  = ! empty( $general_settings['mwb_wpr_show_renewal_notice'] ) ? $general_settings['mwb_wpr_show_renewal_notice'] : 'off';
			$mwb_wpr_renewal_notice       = ! empty( $general_settings['mwb_wpr_renewal_notice'] ) ? $general_settings['mwb_wpr_renewal_notice'] : '';

		?>
		<tbody>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_setting_enable"><?php esc_html_e( 'Enable', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to enable the plugin.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_setting_enable">
						<input type="checkbox" <?php checked( $enable_mwb_wpr, 1 ); ?> name="mwb_wpr_general_setting_enable" id="mwb_wpr_general_setting_enable" class="input-text"> <?php esc_html_e( 'Enable WooCommerce Points and Rewards', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>

			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_signup"><?php esc_html_e( 'Enable Signup Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to enable the Signup Points.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_signup">
						<input type="checkbox" <?php checked( $enable_mwb_signup, 1 ); ?> name="mwb_wpr_general_signup" id="mwb_wpr_general_signup" class="input-text"> <?php esc_html_e( 'Enable Signup Points for Rewards', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_signup_value"><?php esc_html_e( 'Enter Signup Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'The points which the new customer will get after signup.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_signup_value">
						<input type="number" min="1" value="<?php echo esc_html( $mwb_signup_value ); ?>" name="mwb_wpr_general_signup_value" id="mwb_wpr_general_signup_value" class="input-text mwb_wpr_new_woo_ver_style_text">
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_comment_enable"><?php esc_html_e( 'Enable Comments Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to enable the Comments Points when comment is approved.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_comment_enable">
						<input type="checkbox" <?php checked( $enable_mwb_comment, 1 ); ?> name="mwb_wpr_general_comment_enable" id="mwb_wpr_general_comment_enable" class="input-text"> <?php esc_html_e( 'Enable Comments Points for Rewards', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_comment_value"><?php esc_html_e( 'Enter Comments Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'The points which the new customer will get after their comments are approved.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_comment_value">
						<input type="number" min="1" value="<?php echo esc_html( $mwb_comment_value ); ?>" name="mwb_wpr_general_comment_value" id="mwb_wpr_general_comment_value" class="input-text mwb_wpr_new_woo_ver_style_text">
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_refer_enable"><?php esc_html_e( 'Enable Referral Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to enable the Referral Points when customer invites another customers.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_refer_enable">
						<input type="checkbox" <?php checked( $enable_mwb_refer, 1 ); ?> name="mwb_wpr_general_refer_enable" id="mwb_wpr_general_refer_enable" class="input-text"> <?php esc_html_e( 'Enable Referral Points for Rewards.', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_refer_value"><?php esc_html_e( 'Enter Referral Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'The points which the customer will get when they successfully invite a given number of customers.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_refer_value">
						<input type="number" min="1" value="<?php echo esc_html( $mwb_refer_value ); ?>" name="mwb_wpr_general_refer_value" id="mwb_wpr_general_refer_value" class="input-text mwb_wpr_new_woo_ver_style_text">
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_refer_minimum"><?php esc_html_e( 'Minimum Referrals Required', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Minimum number of referrals required to get referral points when the new customer sign ups.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_refer_minimum">
						<input type="number" min="1" value="<?php echo esc_html( $mwb_refer_min ); ?>" name="mwb_wpr_general_refer_minimum" id="mwb_wpr_general_refer_minimum" class="input-text mwb_wpr_new_woo_ver_style_text">
					</label>						
				</td>
			</tr>		
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_refer_value_disable"><?php esc_html_e( 'Assign Only Referral Purchase Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this if you want to assign only purchase points to referred user not referral points.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_refer_value_disable">
						<input type="checkbox" <?php checked( $mwb_refer_value_disable, 1 ); ?> name="mwb_wpr_general_refer_value_disable" id="mwb_wpr_general_refer_value_disable" class="input-text"> <?php esc_html_e( 'Make sure Referral Points & Referral Purchase Points should be enabled ', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_referal_purchase_enable"><?php esc_html_e( 'Enable Referral Purchase Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to enable the referral purchase points', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_referal_purchase_enable">
						<input type="checkbox" <?php checked( $mwb_referral_purchase_enable, 1 ); ?> name="mwb_wpr_general_referal_purchase_enable" id="mwb_wpr_general_referal_purchase_enable" class="input-text"> <?php esc_html_e( 'Enable Referral Purchase Points', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_referal_purchase_value"><?php esc_html_e( 'Enter Referral Purchase Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'The entered point will assign to that user by which another user referred from the referral link and purchase some products ', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_referal_purchase_value">
						<input type="number" min="1" value="<?php echo esc_html( $mwb_referral_purchase_value ); ?>" name="mwb_wpr_general_referal_purchase_value" id="mwb_wpr_general_referal_purchase_value" class="input-text mwb_wpr_new_woo_ver_style_text">
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_referal_purchase_limit"><?php esc_html_e( 'Enable Referral Purchase Limit', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to provide some limitation for referral purchase point, where you can set the number of orders for referee', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_referal_purchase_limit">
						<input type="checkbox" <?php checked( $mwb_referral_purchase_limit, 1 ); ?> name="mwb_wpr_general_referal_purchase_limit" id="mwb_wpr_general_referal_purchase_limit" class="input-text"> <?php esc_html_e( 'Enable limit for Referral Purchase Option', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_referal_order_limit"><?php esc_html_e( 'Set the Number of Orders for Referral Purchase Limit', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Enter the number of orders, Referee would get assigned only till the limit(no of orders) would be reached', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_referal_order_limit">
						<input type="number" min="1" value="<?php echo esc_html( $mwb_wpr_general_referal_order_limit ); ?>" name="mwb_wpr_general_referal_order_limit" id="mwb_wpr_general_referal_order_limit" class="input-text mwb_wpr_new_woo_ver_style_text">
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_social_media_enable"><?php esc_html_e( 'Enable Social Links', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to share the Referral Link on social media', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_social_media_enable">
						<input type="checkbox" <?php checked( $enable_mwb_social, 1 ); ?> name="mwb_wpr_general_social_media_enable" id="mwb_wpr_general_social_media_enable" class="input-text"> <?php esc_html_e( 'Enable Social Media Sharing.', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_facebook"><?php esc_html_e( 'Select Social Links', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check these boxes to share referral link', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_facebook" class="mwb-wpr__facebook">
						<input type="checkbox" <?php checked( isset( $mwb_social_selection['Facebook'] ) ? $mwb_social_selection['Facebook'] : 0 ); ?> name="mwb_wpr_facebook" id="mwb_wpr_facebook" class="input-text"><?php esc_html_e( 'Facebook', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>
					<label for="mwb_wpr_twitter" class="mwb-wpr__twitter">
						<input type="checkbox" <?php checked( isset( $mwb_social_selection['Twitter'] ) ? $mwb_social_selection['Twitter'] : 0 ); ?> name="mwb_wpr_twitter" id="mwb_wpr_twitter" class="input-text"><?php esc_html_e( 'Twitter', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>
					<label for="mwb_wpr_email" class="mwb-wpr__email">
						<input type="checkbox" <?php checked( isset( $mwb_social_selection['Email'] ) ? $mwb_social_selection['Email'] : 0 ); ?> name="mwb_wpr_email" id="mwb_wpr_email" class="input-text"><?php esc_html_e( 'Email', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>		
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_text_points" class="mwb_wpr_label"><?php esc_html_e( 'Enter Text', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Entered text will append before the Total Number of Point', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_general_text_points">
						<input type="text" name="mwb_wpr_general_text_points" value="<?php echo esc_html( $mwb_text_points_value ); ?>" id="mwb_wpr_general_text_points" class="text_points mwb_wpr_new_woo_ver_style_text"><?php esc_html_e( 'Entered text will get displayed on points page.', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>

			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_ways_to_gain_points" class="mwb_wpr_label"><?php esc_html_e( 'Enter Ways to Gain Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Entered ways will get displayed on points page.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<span class="description"><?php esc_html_e( 'Use these shortcodes for providing ways to gain points at front end.', 'woocommerce-ultimate-points-and-rewards' ); ?></span>	
					<label for="mwb_wpr_general_text_points" class="mwb_wpr_label">
						<textarea cols="35" rows="5" name="mwb_wpr_general_ways_to_gain_points" id="mwb_wpr_general_ways_to_gain_points" class="input-text" ><?php echo esc_html( $mwb_ways_to_gain_points_value ); ?></textarea>
					</label>
					<p class="description">
					<?php
					echo '[Refer Points]';
					esc_html_e( ' for Referral Points', 'woocommerce-ultimate-points-and-rewards' );
					echo ' [Comment Points]';
					esc_html_e( ' for Comment Points ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Per Currency Spent Points]';
					esc_html_e( ' for Per currency spent points and', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Per Currency Spent Price]';
					esc_html_e( ' for per currency spent price', 'woocommerce-ultimate-points-and-rewards' );
					?>
					</p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_product_purchase_points"><?php esc_html_e( 'Enable Purchase through Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to enable purchasing products through points', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_product_purchase_points">
						<input type="checkbox" <?php checked( $enable_purchase_points, 1 ); ?> name="mwb_wpr_product_purchase_points" id="mwb_wpr_product_purchase_points" class="input-text"> <?php esc_html_e( 'Purchase Products through Points', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_product_purchase_points"><?php esc_html_e( 'Enable restrictions for above setting', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = esc_html__( 'Check this box if you want to allow some of the products for purchasing through points not all', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_restrict_pro_by_points">
						<input type="checkbox" <?php checked( $mwb_wpr_restrict_pro_by_points, 1 ); ?> name="mwb_wpr_restrict_pro_by_points" id="mwb_wpr_restrict_pro_by_points" class="input-text"> <?php esc_html_e( 'Allow some of the products for purchasing through points', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>	
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_restrictions_for_purchasing_cat"><?php esc_html_e( 'Select Product Category', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Select those categories which you want to allow to customers for purchase that product through points', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<select id="mwb_wpr_restrictions_for_purchasing_cat"  multiple="multiple" name="mwb_wpr_restrictions_for_purchasing_cat[]">
						<?php
						$args       = array( 'taxonomy' => 'product_cat' );
						$categories = get_terms( $args );
						if ( isset( $categories ) && ! empty( $categories ) ) {
							foreach ( $categories as $category ) {
								$catid     = $category->term_id;
								$catname   = $category->name;
								$catselect = '';
								if ( is_array( $mwb_wpr_categ_list ) && in_array( $catid, $mwb_wpr_categ_list ) ) {
									$catselect = "selected='selected'";
								}
								?>
								<option value="<?php echo esc_html( $catid ); ?>" <?php echo esc_html( $catselect ); ?>><?php echo esc_html( $catname ); ?></option>
								<?php
							}
						}
						?>
					</select>
				</td>
			</tr>

			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_purchase_product_text" class="mwb_wpr_label"><?php esc_html_e( 'Enter Text', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Entered text will get displayed on Single Product Page', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_purchase_product_text">
						<input type="text" name="mwb_wpr_purchase_product_text" value="<?php echo esc_html( $mwb_wpr_purchase_product_text ); ?>" id="mwb_wpr_purchase_product_text" class="text_points mwb_wpr_new_woo_ver_style_text"><?php esc_html_e( 'Entered text will get displayed on single product page', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_purchase_pro_points_value"><?php esc_html_e( 'Purchase Points Conversion', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Entered points will be converted to price.(i.e., how many points will be equivalent to the product price)', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_purchase_pro_points_value" class="mwb_wpr_label">
						<input type="number" min="1" value="<?php echo esc_html( $mwb_wpr_purchase_points ); ?>" name="mwb_wpr_purchase_points" id="mwb_wpr_purchase_points" class="input-text wc_input_price mwb_wpr_new_woo_ver_style_text">
						<span class="mwb_wpr_wallet_points_currency_span"><?php echo esc_html__( 'Points ', 'woocommerce-ultimate-points-and-rewards' ); ?> = <?php echo wp_kses_post( get_woocommerce_currency_symbol() ); ?></span>
						<input type="text" value="<?php echo esc_html( $mwb_wpr_product_purchase_price ); ?>" name="mwb_wpr_product_purchase_price" id="mwb_wpr_product_purchase_price" class="input-text mwb_wpr_new_woo_ver_style_text wc_input_price">
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_points_tab_text" class="mwb_wpr_label"><?php esc_html_e( 'Points Tab Text', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Entered text will be replaced the Points tab at Myaccount Page', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_points_tab_text" class="mwb_wpr_label">
						<input type="text" name="mwb_wpr_points_tab_text" value="<?php echo esc_html( $mwb_wpr_points_tab_text ); ?>" id="mwb_wpr_points_tab_text" class="text_points mwb_wpr_new_woo_ver_style_text"><?php esc_html_e( 'Points Tab replaced with your text', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_assign_pro_text"><?php esc_html_e( 'Assigned Product Points Text', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Enter the message you want to display for those products who have been assigned with some of the Points', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_assign_pro_text">
						<input type="text" name="mwb_wpr_assign_pro_text" value="<?php echo esc_html( $mwb_wpr_assign_pro_text ); ?>" id="mwb_wpr_assign_pro_text" class="text_points mwb_wpr_new_woo_ver_style_text"><?php esc_html_e( 'Product Point text can be replaced with entered text', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>			
				</td>
			</tr>
			<tr valign="top">		
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_set_preferences"><?php esc_html_e( 'Set Preferences', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'What you want to choose when you have enabled "Per currency Spent Point" and a product with some "Points" assigned ?', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_set_preferences_to_points">
						<input type="radio" <?php echo wp_kses_post( 'to_assign_point' === $mwb_wpr_set_preferences ) ? "checked='checked'" : ''; ?> name="mwb_wpr_set_preferences" value="to_assign_point"class="mwb_wpr_set_preferences_to_points" id="mwb_wpr_set_preferences_to_points"><?php esc_html_e( 'Only Product Assigned Points', 'woocommerce-ultimate-points-and-rewards' ); //phpcs:enable. ?><br/>
					</label>
					<label for="mwb_wpr_set_preferences_to_per_currency">
						<input type="radio" <?php echo wp_kses_post( 'to_per_currency' === $mwb_wpr_set_preferences ) ? "checked='checked'" : ''; ?> name="mwb_wpr_set_preferences" value="to_per_currency"><?php esc_html_e( 'Only Per Currency Spent Point', 'woocommerce-ultimate-points-and-rewards' ); ?><br/>
					</label>
					<label for="mwb_wpr_set_preferences_to_both">
						<input type="radio" <?php echo wp_kses_post( 'to_both' === $mwb_wpr_set_preferences ) ? "checked='checked'" : ''; ?> name="mwb_wpr_set_preferences" value="to_both" id="mwb_wpr_set_preferences_to_both"><?php esc_html_e( 'Both', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>					
				</td>
			</tr>
			<!-- creating daily login point setting -->
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_enable_daily_login"><?php esc_html_e( 'Enable Daily login Points settings', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to enable daily login points settings', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_enable_daily_login">
						<input type="checkbox" <?php checked( $mwb_wpr_enable_daily_login, 1 ); ?> name="mwb_wpr_enable_daily_login" id="mwb_wpr_enable_daily_login" class="input-text"> <?php esc_html_e( 'Check this box to give points on daily login users', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_daily__login_points"><?php esc_html_e( 'Enter daily login points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Enter points for user when she/he daily login', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_daily__login_points">
						<input type="number" min="1" value="<?php echo esc_html( $mwb_wpr_daily__login_points ); ?>" name="mwb_wpr_daily__login_points" id="mwb_wpr_daily__login_points" class="input-text mwb_wpr_new_woo_ver_style_text">
					</label>						
				</td>
			</tr>
			<!-- Show Points on WP User Table Settings -->
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_show_points_user_table"><?php esc_html_e( 'Show Points in WP User Table', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Please enable if you want to show user total points in WP User Table', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_show_points_user_table">
						<input type="checkbox" <?php checked( $mwb_wpr_show_points_user_table, 'on' ); ?> name="mwb_wpr_show_points_user_table" id="mwb_wpr_show_points_user_table" class="input-text"> <?php esc_html_e( 'Check this box to show user points in WP User Table.', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<!--  ++++ Compatible with Wallet Plugin +++++ -->
			<?php
			if ( is_plugin_active( 'wallet-system-for-woocommerce/wallet-system-for-woocommerce.php' ) && ! empty( get_option( 'wps_wsfw_enable' ) ) ) {
				?>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_enable_wallet_settings"><?php esc_html_e( 'Enable Wallet Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'This is setting is used to convert points into amount and transfer into wallet with the decided conversion rate.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_enable_wallet_settings">
							<input type="checkbox" <?php checked( $mwb_wpr_enable_wallet_settings, 'on' ); ?> name="mwb_wpr_enable_wallet_settings" id="mwb_wpr_enable_wallet_settings" class="input-text"> <?php esc_html_e( 'Please check this box to enable wallet plugin settings. This wallet setting show on My Account Page.', 'woocommerce-ultimate-points-and-rewards' ); ?>
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_wallet_conversion_rate"><?php esc_html_e( 'Enter Conversion Rate', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Entered points will be converted to amount.(i.e., how many points will be equivalent to the amount)', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_wallet_conversion_rate" class="mwb_wpr_label">
							<input type="number" min="1" value="<?php echo esc_html( $mwb_wpr_wallet_conversion_points ); ?>" name="mwb_wpr_wallet_conversion_points" id="mwb_wpr_wallet_conversion_points" class="input-text wc_input_price mwb_wpr_new_woo_ver_style_text">
							<span class="mwb_wpr_wallet_points_currency_span"><?php echo esc_html__( 'Points ', 'woocommerce-ultimate-points-and-rewards' ); ?> = <?php echo wp_kses_post( get_woocommerce_currency_symbol() ); ?></span>
							<input type="text" value="<?php echo esc_html( $mwb_wpr_wallet_conversion_price ); ?>" name="mwb_wpr_wallet_conversion_price" id="mwb_wpr_wallet_conversion_price" class="input-text mwb_wpr_new_woo_ver_style_text wc_input_price">
						</label>						
					</td>
				</tr>
				<?php
			}
			// <!-- +++++  Subscription plugin compatibility ++++++ -->
			if ( is_plugin_active( 'subscriptions-for-woocommerce/subscriptions-for-woocommerce.php' ) ) {
				?>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_enable_subs_settings"><?php esc_html_e( 'Subscription Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Please enable this setting to rewards user with points when subscription product is renewal.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_enable_subs_settings">
							<input type="checkbox" <?php checked( $mwb_wpr_enable_subs_settings, 'on' ); ?> name="mwb_wpr_enable_subs_settings" id="mwb_wpr_enable_subs_settings" class="input-text"> <?php esc_html_e( 'Please check this box to enable subscription renewal points settings.', 'woocommerce-ultimate-points-and-rewards' ); ?>
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_subs_renewal_points"><?php esc_html_e( 'Enter renewal rewards points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Enter points will be rewarded to user when subscription product is renewal.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_subs_renewal_points">
							<input type="number" min="1" value="<?php echo esc_html( $mwb_wpr_subs_renewal_points ); ?>" name="mwb_wpr_subs_renewal_points" id="mwb_wpr_subs_renewal_points" class="input-text mwb_wpr_new_woo_ver_style_text">
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_show_renewal_notice"><?php esc_html_e( 'Show message on Account Page', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Enable this setting to show renewal on user account page.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_show_renewal_notice">
							<input type="checkbox" <?php checked( $mwb_wpr_show_renewal_notice, 'on' ); ?> name="mwb_wpr_show_renewal_notice" id="mwb_wpr_show_renewal_notice" class="input-text"> <?php esc_html_e( 'Please check this box to show message on User Account Page.', 'woocommerce-ultimate-points-and-rewards' ); ?>
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_renewal_notice"><?php esc_html_e( 'Enter renewal message', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Enter message will show on My Accoun page for user acknowledgement.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_renewal_notice">
							<input type="text" name="mwb_wpr_renewal_notice" value="<?php echo esc_html( $mwb_wpr_renewal_notice ); ?>" id="mwb_wpr_renewal_notice" class="text_points mwb_wpr_new_woo_ver_style_text"><?php esc_html_e( 'The entered message will be shown on the user’s Account Page. Please enter a message including the [Points] shortcode.', 'woocommerce-ultimate-points-and-rewards' ); ?>
						</label>			
					</td>
				</tr>
				<?php
			}
			?>
		</tbody>
	</table>
</div>
<div class="clear"></div>
<p class="submit">
	<input type="hidden" name="mwb_wpr_gen_nonce_verify" value="<?php echo esc_html( wp_create_nonce( 'mwb-gen-verify-nonce' ) ); ?>">
	<input type="submit" value='<?php esc_html_e( 'Save changes', 'woocommerce-ultimate-points-and-rewards' ); ?>' class="button-primary woocommerce-save-button mwb_wpr_save_changes" name="mwb_wpr_save_general">
</p>
