<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * @link  https://makewebbetter.com/
 * @since 1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$current_tab = 'mwb_wpr_othersetting_tab';

if ( isset( $_GET['tab'] ) ) {
	$current_tab = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : '';
}
$value_check = isset( $_POST['message-other-setting'] ) ? sanitize_text_field( wp_unslash( $_POST['message-other-setting'] ) ) : '';
if ( isset( $_POST['mwb_wpr_save_othersetting'] ) && wp_verify_nonce( $value_check, 'other-setings' ) ) {

	$_POST['mwb_wpr_disable_coupon_generation']    = isset( $_POST['mwb_wpr_disable_coupon_generation'] ) ? 1 : 0;
	$_POST['mwb_wpr_user_can_send_point']          = isset( $_POST['mwb_wpr_user_can_send_point'] ) ? 1 : 0;
	$_POST['mwb_wpr_referral_link_permanent']      = isset( $_POST['mwb_wpr_referral_link_permanent'] ) ? 1 : 0;
	$_POST['mwb_wpr_ref_link_expiry']              = isset( $_POST['mwb_wpr_ref_link_expiry'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_ref_link_expiry'] ) ) : 1;
	$_POST['mwb_wpr_custom_points_on_cart']        = isset( $_POST['mwb_wpr_custom_points_on_cart'] ) ? 1 : 0;
	$_POST['mwb_wpr_cart_points_rate']             = isset( $_POST['mwb_wpr_cart_points_rate'] ) && ! empty( $_POST['mwb_wpr_cart_points_rate'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_cart_points_rate'] ) ) : 1;
	$_POST['mwb_wpr_cart_price_rate']              = isset( $_POST['mwb_wpr_cart_price_rate'] ) && ! empty( $_POST['mwb_wpr_cart_price_rate'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_cart_price_rate'] ) ) : 1;
	$_POST['mwb_wpr_apply_points_checkout']        = isset( $_POST['mwb_wpr_apply_points_checkout'] ) ? 1 : 0;
	$_POST['mwb_wpr_make_readonly']                = isset( $_POST['mwb_wpr_make_readonly'] ) ? 1 : 0;
	$_POST['mwb_wpr_notification_color']           = ( isset( $_POST['mwb_wpr_notification_color'] ) && null !== $_POST['mwb_wpr_notification_color'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_notification_color'] ) ) : '#55b3a5';
	$_POST['wps_wpr_cart_page_section']            = isset( $_POST['wps_wpr_cart_page_section'] ) ? 1 : 0;
	$_POST['wps_wpr_checkout_page_section']        = isset( $_POST['wps_wpr_checkout_page_section'] ) ? 1 : 0;
	$_POST['wps_wpr_enable_order__rewards_points'] = isset( $_POST['wps_wpr_enable_order__rewards_points'] ) ? 1 : 0;
	$_POST['wps_wpr_order__rewards_points']        = ! empty( $_POST['wps_wpr_order__rewards_points'] ) ? sanitize_text_field( wp_unslash( $_POST['wps_wpr_order__rewards_points'] ) ) : 1;
	$_POST['wps_wpr_number_of_order']              = ! empty( $_POST['wps_wpr_number_of_order'] ) ? sanitize_text_field( wp_unslash( $_POST['wps_wpr_number_of_order'] ) ) : 1;
	$_POST['wps_wpr_enable_order_notice']          = isset( $_POST['wps_wpr_enable_order_notice'] ) ? 1 : 0;
	$_POST['wps_wpr_order_message_color']          = ! empty( $_POST['wps_wpr_order_message_color'] ) ? sanitize_text_field( wp_unslash( $_POST['wps_wpr_order_message_color'] ) ) : '#55b3a5';
	$postdata                                      = $_POST;

	if ( ! empty( $postdata ) && is_array( $postdata ) ) {
		foreach ( $postdata as $key => $value ) {
			$value = stripcslashes( $value );
			$value = sanitize_text_field( $value );
			if ( isset( $_POST['mwb_wpr_custom_points_on_cart'] ) && 1 == $_POST['mwb_wpr_custom_points_on_cart'] ) {
				$general_settings = get_option( 'mwb_wpr_settings_gallery', true );
				if ( array_key_exists( 'enable_purchase_points', $general_settings ) ) {
					$general_settings['enable_purchase_points'] = 1;
				}
				update_option( 'mwb_wpr_settings_gallery', $general_settings );
			}
			update_option( $key, $value );
		}
	}
	?>
	<div class="notice notice-success is-dismissible">
		<p><strong><?php esc_html_e( 'Settings saved.', 'woocommerce-ultimate-points-and-rewards' ); ?></strong></p>
		<button type="button" class="notice-dismiss">
			<span class="screen-reader-text"><?php esc_html_e( 'Dismiss this notices.', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
		</button>
	</div>
	<?php
}

$mwb_wpr_shortcode_text_point         = get_option( 'mwb_wpr_shortcode_text_point', 'Your Current Point' );
$mwb_wpr_shortcode_text_membership    = get_option( 'mwb_wpr_shortcode_text_membership', 'Your Current Level' );
$mwb_wpr_thnku_order_msg_usin_points  = get_option( 'mwb_wpr_thnku_order_msg_usin_points', false );
$mwb_wpr_thnku_order_msg              = get_option( 'mwb_wpr_thnku_order_msg', false );
$mwb_wpr_disable_coupon_generation    = get_option( 'mwb_wpr_disable_coupon_generation', 0 );
$mwb_wpr_user_can_send_point          = get_option( 'mwb_wpr_user_can_send_point', 0 );
$mwb_wpr_referral_link_permanent      = get_option( 'mwb_wpr_referral_link_permanent', 0 );
$mwb_wpr_ref_link_expiry              = get_option( 'mwb_wpr_ref_link_expiry', 1 );
$mwb_wpr_cart_points_rate             = get_option( 'mwb_wpr_cart_points_rate', 1 );
$mwb_wpr_cart_price_rate              = get_option( 'mwb_wpr_cart_price_rate', 1 );
$mwb_wpr_custom_points_on_cart        = get_option( 'mwb_wpr_custom_points_on_cart', 0 );
$mwb_wpr_apply_points_checkout        = get_option( 'mwb_wpr_apply_points_checkout', 0 );
$mwb_wpr_make_readonly                = get_option( 'mwb_wpr_make_readonly', 0 );
$mwb_wpr_notification_color           = get_option( 'mwb_wpr_notification_color', '#55b3a5' );
$wps_wpr_cart_page_section            = get_option( 'wps_wpr_cart_page_section', '' );
$wps_wpr_checkout_page_section        = get_option( 'wps_wpr_checkout_page_section', '' );
$wps_wpr_enable_order__rewards_points = get_option( 'wps_wpr_enable_order__rewards_points', '' );
$wps_wpr_order__rewards_points        = get_option( 'wps_wpr_order__rewards_points', 1 );
$wps_wpr_number_of_order              = get_option( 'wps_wpr_number_of_order', 1 );
$wps_wpr_enable_order_notice          = get_option( 'wps_wpr_enable_order_notice', '' );
$mwb_wpr_cart__page_messages          = get_option( 'mwb_wpr_cart__page_messages', '' );
$wps_wpr_order_message_color          = get_option( 'wps_wpr_order_message_color', '#55b3a5' );
?>

<div class="mwb_table">
	<table class="form-table mwb_wpr_general_setting mwp_wpr_settings">
		<tbody>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_other_shortcodes"><?php esc_html_e( 'Shortcodes', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<p class="description"><?php esc_html_e( 'Use shortcode [MYCURRENTUSERLEVEL] for displaying current Membership Level of Users.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
					<p class="description"><?php esc_html_e( 'Use shortcode [MYCURRENTPOINT] for displaying current Points of Users.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
					<p class="description"><?php esc_html_e( 'Use shortcode [SIGNUPNOTIFICATION] for displaying notification anywhere on site.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
					<p class="description"><?php esc_html_e( 'Use shortcode [MWB_POINTS_LOG] for displaying Points Log.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
					<p class="description"><?php esc_html_e( 'Use shortcode [MWB_REFERRAL_LINK] for displaying Referral Links.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_other_shortcode_text"><?php esc_html_e( 'Enter the text which you want to display with shortcode [MYCURRENTPOINT]', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = esc_html_e( 'Entered text will get displayed along with [MYCURRENTPOINT] shortcode', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );//phpcs:ignore.
					?>
					<label for="mwb_wpr_shortcode_text_point">
					<input type="text" name="mwb_wpr_shortcode_text_point" value="<?php echo esc_attr( $mwb_wpr_shortcode_text_point ); ?>" id="mwb_wpr_shortcode_text_point" class="text_points mwb_wpr_new_woo_ver_style_text"></label>
					<p class="description"><?php esc_html_e( 'Entered text will get displayed along with [MYCURRENTPOINT] shortcode', 'woocommerce-ultimate-points-and-rewards' ); ?></p>	
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_signup"><?php esc_html_e( 'Enter the text which you want to display with shortcode [MYCURRENTUSERLEVEL]', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Entered text will get displayed along with [MYCURRENTUSERLEVEL] shortcode', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="mwb_wpr_shortcode_text_membership">
					<input type="text" name="mwb_wpr_shortcode_text_membership" value="<?php echo esc_attr( $mwb_wpr_shortcode_text_membership ); ?>" id="mwb_wpr_shortcode_text_membership" class="text_points mwb_wpr_new_woo_ver_style_text"></label>
					<p class="description"><?php esc_html_e( 'Entered text will get displayed along with [MYCURRENTUSERLEVEL] shortcode', 'woocommerce-ultimate-points-and-rewards' ); ?></p>				
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_thnku_order_msg"><?php esc_html_e( 'Enter Thank you Order Message When your customer gain some points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Entered Message will appears at thankyou page when any ordered item is having some of the points', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<textarea cols="35" rows="5" name="mwb_wpr_thnku_order_msg" id="mwb_wpr_thnku_order_msg" class="input-text" ><?php echo esc_attr( $mwb_wpr_thnku_order_msg ); ?></textarea>
					<p class="description"><?php esc_html_e( 'Use these shortcodes for providing an appropriate message for your customers ', 'woocommerce-ultimate-points-and-rewards' ); ?>
						<?php
						echo '[POINTS]';
						esc_html_e( ' for product points ', 'woocommerce-ultimate-points-and-rewards' );
						echo ' [TOTALPOINT]';
						esc_html_e( ' for their Total Points ', 'woocommerce-ultimate-points-and-rewards' );
						?>
					</p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_thnku_order_msg_usin_points"><?php esc_html_e( 'Enter Thankyou Order Message When your customer spent some of the points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Entered Message will appears at thankyou page when any item has been purchased through points', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<textarea cols="35" rows="5" name="mwb_wpr_thnku_order_msg_usin_points" id="mwb_wpr_thnku_order_msg_usin_points" class="input-text" ><?php echo esc_attr( $mwb_wpr_thnku_order_msg_usin_points ); ?></textarea>
					<p class="description"><?php esc_html_e( 'Use these shortcodes for providing an appropriate message for your customers ', 'woocommerce-ultimate-points-and-rewards' ); ?>
						<?php
						echo '[POINTS]';
						esc_html_e( ' for product points ', 'woocommerce-ultimate-points-and-rewards' );
						echo ' [TOTALPOINT]';
						esc_html_e( ' for their Total Points ', 'woocommerce-ultimate-points-and-rewards' );
						?>
					</p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_disable_coupon_generation"><?php esc_html_e( 'Disable Points Conversion', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box if you want to disable the coupon generation functionality for customers', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="mwb_wpr_disable_coupon_generation">
						<input type="checkbox" <?php checked( $mwb_wpr_disable_coupon_generation, 1 ); ?> name="mwb_wpr_disable_coupon_generation" id="mwb_wpr_disable_coupon_generation" class="input-text"> <?php esc_html_e( 'Disable Points Conversion Fields', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_user_can_send_point"><?php esc_html_e( 'Point Sharing', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box if you want to let your customers to send some of the points from his/her account to any other user', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="mwb_wpr_user_can_send_point">
						<input type="checkbox" <?php checked( $mwb_wpr_user_can_send_point, 1 ); ?> name="mwb_wpr_user_can_send_point" id="mwb_wpr_user_can_send_point" class="input-text"> <?php esc_html_e( 'Enable Point Sharing', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_referral_link_permanent"><?php esc_html_e( 'Static Referral Link', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box if you want to make your referral link permanent.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="mwb_wpr_referral_link_permanent">
						<input type="checkbox" <?php checked( $mwb_wpr_referral_link_permanent, 1 ); ?> name="mwb_wpr_referral_link_permanent" id="mwb_wpr_referral_link_permanent" class="input-text"> <?php esc_html_e( 'Make Referral Link Permanent', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_ref_link_expiry"><?php esc_html_e( 'Referral Link Expiry', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Set the number of days after that the system will not able to remember the referred user anymore', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="mwb_wpr_ref_link_expiry">
						<input type="number"  name="mwb_wpr_ref_link_expiry" id="mwb_wpr_ref_link_expiry" value="<?php echo esc_attr( $mwb_wpr_ref_link_expiry ); ?>" class="input-text mwb_wpr_new_woo_ver_style_text" required> <?php esc_html_e( 'Days', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_custom_points_on_cart"><?php esc_html_e( 'Redemption Over Cart Sub-Total', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box if you want to let your customers to redeem their earned points for the cart subtotal, there would be no relation with product purchase through point feature', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="mwb_wpr_custom_points_on_cart">
						<input type="checkbox" <?php checked( $mwb_wpr_custom_points_on_cart, 1 ); ?> name="mwb_wpr_custom_points_on_cart" id="mwb_wpr_custom_points_on_cart" class="input-text"> <?php esc_html_e( 'No relation with Purchase Product Through Point Feature', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_cart_points_rate"><?php esc_html_e( 'Conversion rate for Cart Sub-Total Redemption', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Enter the redeem points for cart sub-total. (i.e., how many points will be equivalent to your currency)', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="mwb_wpr_cart_points_rate">
						<input type="number" min="1" value="<?php echo esc_attr( $mwb_wpr_cart_points_rate ); ?>" name="mwb_wpr_cart_points_rate" id="mwb_wpr_cart_points_rate" class="input-text wc_input_price mwb_wpr_new_woo_ver_style_text">
						<?php echo esc_html_e( 'Points ', 'woocommerce-ultimate-points-and-rewards' ); ?>  =
						<?php echo esc_attr( get_woocommerce_currency_symbol() ); ?>
						<input type="text" value="<?php echo esc_attr( $mwb_wpr_cart_price_rate ); ?>" name="mwb_wpr_cart_price_rate" id="mwb_wpr_cart_price_rate" class="input-text mwb_wpr_new_woo_ver_style_text wc_input_price ">
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_apply_points_checkout"><?php esc_html_e( 'Enable apply points during checkout', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box if you want that customer can apply also apply points on checkout', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="mwb_wpr_apply_points_checkout">
						<input type="checkbox" <?php checked( $mwb_wpr_apply_points_checkout, 1 ); ?> name="mwb_wpr_apply_points_checkout" id="mwb_wpr_apply_points_checkout" class="input-text"> <?php esc_html_e( 'Allow customers to apply points during checkout also', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_make_readonly"><?php esc_html_e( 'Make "Per Product Redemption" Readonly', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box if you want to make the redemption box read-only(where end user can enter the number of points they want to redeem)', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="mwb_wpr_make_readonly">
						<input type="checkbox" <?php checked( $mwb_wpr_make_readonly, 1 ); ?> name="mwb_wpr_make_readonly" id="mwb_wpr_make_readonly" class="input-text"> <?php esc_html_e( 'Readonly for Enter Number of Points for Redemption', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_notification_color"><?php esc_html_e( 'Select Color Notification Bar', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'You can also choose the color for your Notification Bar.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<input type="color" id="mwb_wpr_notification_color" name="mwb_wpr_notification_color" value="<?php echo esc_attr( $mwb_wpr_notification_color ); ?>">				
				</td>				
			</tr>
			<!-- Shortcode setting start here -->
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="wps_wpr_cart_page_section"><?php esc_html_e( 'Enable to show shortcode on Cart page [Wps_Cart_Page_Section]', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'This shortcode is only work on Cart Page.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<input type="checkbox" <?php checked( $wps_wpr_cart_page_section, 1 ); ?> name="wps_wpr_cart_page_section" id="wps_wpr_cart_page_section" class="input-text"> <?php esc_html_e( 'Please check this box to show apply points section on Cart page using this shortcode.', 'woocommerce-ultimate-points-and-rewards' ); ?>	
				</td>				
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="wps_wpr_checkout_page_section"><?php esc_html_e( 'Enable to show shortcode on Checkout page [Wps_Checkout_Page_Section]', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'This shortcode is only work on Checkout Page.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<input type="checkbox" <?php checked( $wps_wpr_checkout_page_section, 1 ); ?> name="wps_wpr_checkout_page_section" id="wps_wpr_checkout_page_section" class="input-text"> <?php esc_html_e( 'Please check this box to show apply points section on Checkout page using this shortcode.', 'woocommerce-ultimate-points-and-rewards' ); ?>	
				</td>				
			</tr>
			<!-- Number of Order setting start here -->
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="wps_wpr_enable_order__rewards_points"><?php esc_html_e( 'Enable Order Rewards Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Please enable this setting to awards user on the basis of his number of orders', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<input type="checkbox" <?php checked( $wps_wpr_enable_order__rewards_points, 1 ); ?> name="wps_wpr_enable_order__rewards_points" id="wps_wpr_enable_order__rewards_points" class="input-text"> <?php esc_html_e( 'Please enable this setting to awards user on the basis of his number of orders.', 'woocommerce-ultimate-points-and-rewards' ); ?>	
				</td>				
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="wps_wpr_number_of_order"><?php esc_html_e( 'Enter Number Of Orders', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Set the number of order which placed by user to get rewards points.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="wps_wpr_number_of_order">
						<input type="number" min="1" name="wps_wpr_number_of_order" id="wps_wpr_number_of_order" value="<?php echo esc_attr( $wps_wpr_number_of_order ); ?>" class="input-text mwb_wpr_new_woo_ver_style_text" required> <?php esc_html_e( 'Enter number of order which placed by user to get rewards points.', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="wps_wpr_order__rewards_points"><?php esc_html_e( 'Enter Order Rewards Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Set the number of points that user get when reach the maximum number of order', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<label for="wps_wpr_order__rewards_points">
						<input type="number" min="1" name="wps_wpr_order__rewards_points" id="wps_wpr_order__rewards_points" value="<?php echo esc_attr( $wps_wpr_order__rewards_points ); ?>" class="input-text mwb_wpr_new_woo_ver_style_text" required> <?php esc_html_e( 'Enter order rewards points which user will get when reach the limit of order.', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="wps_wpr_enable_order_notice"><?php esc_html_e( 'Enable to show order message on cart page', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Please enable this to show message for user to know how much points he/she will get when reach order limit.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<input type="checkbox" <?php checked( $wps_wpr_enable_order_notice, 1 ); ?> name="wps_wpr_enable_order_notice" id="wps_wpr_enable_order_notice" class="input-text"> <?php esc_html_e( 'Please enable this setting to show message on cart page.', 'woocommerce-ultimate-points-and-rewards' ); ?>	
				</td>				
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_cart__page_messages"><?php esc_html_e( 'Enter Order rewards Message', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Entered Message will appears at Cart page.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<textarea cols="35" rows="4" name="mwb_wpr_cart__page_messages" id="mwb_wpr_cart__page_messages" class="input-text" ><?php echo esc_attr( $mwb_wpr_cart__page_messages ); ?></textarea>
					<p class="description"><?php esc_html_e( 'Use these shortcodes for providing an appropriate message for your customers on his no. of ', 'woocommerce-ultimate-points-and-rewards' ); ?>
						<?php
						echo '[ORDER]';
						esc_html_e( ' and get rewards points ', 'woocommerce-ultimate-points-and-rewards' );
						echo ' [POINTS]';
						?>
					</p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="wps_wpr_order_message_color"><?php esc_html_e( 'Select Order Rewards Message Color', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'You can also choose the color for your message.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );// phpcs:ignore.
					?>
					<input type="color" id="wps_wpr_order_message_color" name="wps_wpr_order_message_color" value="<?php echo esc_attr( $wps_wpr_order_message_color ); ?>"> <?php esc_html_e( 'You can choose message background color from here.', 'woocommerce-ultimate-points-and-rewards' ); ?>
				</td>				
			</tr>
		</tbody>
	</table></div>
<p class="submit">
	<?php $nonce = wp_create_nonce( 'other-setings' ); ?>
	<input type="hidden" name="message-other-setting" value="<?php echo esc_attr( $nonce ); ?>" />
	<input type="submit" value='<?php esc_html_e( 'Save changes', 'woocommerce-ultimate-points-and-rewards' ); ?>' class="button-primary woocommerce-save-button mwb_wpr_save_changes" name="mwb_wpr_save_othersetting">
</p>
