<?php
/**
 * Plugin Name:  WooCommerce Ultimate Points And Rewards
 * Plugin URI:   https://www.persianscript.ir
 * Description:  <code><strong>WooCommerce Ultimate Points And Rewards</strong></code> plugin allow merchants to reward their loyal customers with referral rewards points on store activities. <a href="https://wpswings.com/woocommerce-plugins/?utm_source=wpswings-par-shop&utm_medium=par-cc-backend&utm_campaign=shop-page" target="_blank"> Elevate your e-commerce store by exploring more on <strong> WP Swings </strong></a>.
 * Version:      2.7.1
 * Author:       پرشین اسکریپت
 * Author URI:   https://www.persianscript.ir
 * Requires at least WC: 5.5.0
 * Tested up to WC: 8.4.0
 * Tested up to WP: 6.4.2
 * Text Domain: woocommerce-ultimate-points-and-rewards
 * Domain Path: /languages
 * License:  GPL-3.0+
 * License URI:  http://www.gnu.org/licenses/gpl-3.0.txt
 *
 * @package WooCommerce Ultimate Points And Rewards
 */

/**
 * Exit if accessed directly
 */
 
update_option( 'mwb_wpr_plugin_name', 'WooCommerce Ultimate Points And Rewards' );
update_option( 'mwb_wpr_license_key', '**********' );
update_option( 'mwb_wpr_license_hash', md5( str_replace( 'www.', '', $_SERVER['HTTP_HOST'] ) . 'WooCommerce Ultimate Points And Rewards' . '**********' ) );
update_option( 'mwb_wpr_plugin_verified', '1' );
update_option( 'mwb_wpr_activation_date_time', current_time('timestamp') ); 
 
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// hpos.
use Automattic\WooCommerce\Utilities\OrderUtil;

/**
 * Plugin Active Detection.
 *
 * @since    1.0.0
 * @param    string $plugin_slug index file of plugin.
 */
function mwb_par_cc_is_plugin_active( $plugin_slug = '' ) {

	if ( empty( $plugin_slug ) ) {
		return false;
	}

	$active_plugins = (array) get_option( 'active_plugins', array() );
	if ( is_multisite() ) {

		$active_plugins = array_merge( $active_plugins, get_site_option( 'active_sitewide_plugins', array() ) );
	}
	return in_array( $plugin_slug, $active_plugins ) || array_key_exists( $plugin_slug, $active_plugins );
}

/**
 * The code that runs during plugin validation.
 * This action is checks for WooCommerce Dependency.
 *
 * @since    1.0.0
 */
function mwb_par_cc_plugin_activation_pro() {

	$activation['status']  = true;
	$activation['message'] = '';

	// Dependant plugin.
	if ( ! mwb_par_cc_is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
		$activation['status']  = false;
		$activation['message'] = 'woo_inactive';

	}

	return $activation;
}
$mwb_par_cc_plugin_activation_pro = mwb_par_cc_plugin_activation_pro();

/**
 * Check if WooCommerce is active
 */
if ( true === $mwb_par_cc_plugin_activation_pro['status'] ) {

	// Declare HPOS compatibility.
	add_action(
		'before_woocommerce_init',
		function() {
			if ( class_exists( \Automattic\WooCommerce\Utilities\FeaturesUtil::class ) ) {
				\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
			}
			if ( class_exists( '\Automattic\WooCommerce\Utilities\FeaturesUtil' ) ) {
				\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'cart_checkout_blocks', __FILE__, true );
			}
		}
	);

	define( 'MWB_WPR_DIRPATH', plugin_dir_path( __FILE__ ) );
	define( 'MWB_WPR_URL', plugin_dir_url( __FILE__ ) );
	define( 'MWB_WPR_HOME_URL', admin_url() );
	define( 'MWB_WPR_PLUGIN_VERSION', '2.7.1' );
	define( 'MWB_WPR_DOMAIN', 'woocommerce-ultimate-points-and-rewards' );
	define( 'MWB_WPR_JS_LOAD_ADMIN', MWB_WPR_URL . 'assets/js/admin/woocommerce-ultimate-points-admin.min.js' );
	define( 'MWB_WPR_JS_LOAD_PUBLIC', MWB_WPR_URL . 'assets/js/public/woocommerce-ultimate-points-acount.js' );
	include_once MWB_WPR_DIRPATH . '/includes/admin/class-mwb-wpr-admin-manager.php';
	include_once MWB_WPR_DIRPATH . '/includes/public/class-mwb-wpr-front-end.php';

	/**
	 * This function is used to load language'.
	 *
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 */
	function mwb_wpr_load_plugin_textdomain() {
		$domain = 'woocommerce-ultimate-points-and-rewards';
		$locale = apply_filters( 'plugin_locale', get_locale(), $domain );
		load_textdomain( $domain, MWB_WPR_DIRPATH . 'languages/' . $domain . '-' . $locale . '.mo' );
		$var = load_plugin_textdomain( $domain, false, plugin_basename( dirname( __FILE__ ) ) . '/languages' );
	}
	add_action( 'plugins_loaded', 'mwb_wpr_load_plugin_textdomain' );

	/**
	 * Dynamically Generate Coupon Code
	 *
	 * @name
	 * @param int $length for coupon.
	 * @return string
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 */
	function wpswing_cc_coupon_generator( $length = 5 ) {
		if ( '' === $length ) {
			$length = 5;
		}
		$password    = '';
		$alphabets   = range( 'A', 'Z' );
		$numbers     = range( '0', '9' );
		$final_array = array_merge( $alphabets, $numbers );
		while ( $length-- ) {
			$key       = array_rand( $final_array );
			$password .= $final_array[ $key ];
		}

		return $password;
	}

	/**
	 * Dynamically Generate referral Code
	 *
	 * @name mwb_wpswing_create_referral_code
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 */
	function mwb_wpswing_create_referral_code() {
		$length      = 10;
		$pkey        = '';
		$alphabets   = range( 'A', 'Z' );
		$numbers     = range( '0', '9' );
		$final_array = array_merge( $alphabets, $numbers );
		while ( $length-- ) {
			$key   = array_rand( $final_array );
			$pkey .= $final_array[ $key ];
		}

		return $pkey;
	}

	/**
	 * Add settings link on plugin page
	 *
	 * @name mwb_wpr_admin_settings()
	 * @param   String $actions   value for contant.
	 * @param   String $plugin_file   value for contant.
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 */
	function mwb_wpr_admin_settings( $actions, $plugin_file ) {
		static $plugin;
		if ( ! isset( $plugin ) ) {

			$plugin = plugin_basename( __FILE__ );
		}
		if ( $plugin === $plugin_file ) {
			$settings = array(
				'settings' => '<a href="' . admin_url( 'admin.php?page=mwb-wpr-setting' ) . '">' . __( 'Settings', 'woocommerce-ultimate-points-and-rewards' ) . '</a>',
			);
			$actions  = array_merge( $settings, $actions );
		}
		return $actions;
	}

	// Add link for settings.
	add_filter( 'plugin_action_links', 'mwb_wpr_admin_settings', 10, 5 );
	add_shortcode( 'MYCURRENTPOINT', 'wpswing_shortcode_current_point', 10 );
	add_shortcode( 'MYCURRENTUSERLEVEL', 'wpswing_current_user_level', 10 );
	add_shortcode( 'SIGNUPNOTIFICATION', 'wpswing_signup_notific', 10 );

	/**
	 * Add shortcode on shop page.
	 *
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 */
	function wpswing_shortcode_current_point() {
		ob_start();
		$user_ID                      = get_current_user_ID();
		$mwb_wpr_shortcode_text_point = get_option( 'mwb_wpr_shortcode_text_point', 'Your Current Point' );
		if ( isset( $user_ID ) && ! empty( $user_ID ) ) {
			$get_points = (int) get_user_meta( $user_ID, 'mwb_wpr_points', true );
			echo '<div class="mwb_wpr_shortcode_wrapper">';
			echo esc_attr( $mwb_wpr_shortcode_text_point ) . ' ' . esc_attr( $get_points );
			echo '</div>';
		}
		return ob_get_clean();
	}

	/**
	 * Display your Current Level by using shortcode
	 *
	 * @name mwb_wpr_mycurrentlevel_shortcode
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 */
	function wpswing_current_user_level() {
		ob_start();
		$user_ID                           = get_current_user_ID();
		$mwb_wpr_shortcode_text_membership = get_option( 'mwb_wpr_shortcode_text_membership', 'Your Current Level' );
		if ( isset( $user_ID ) && ! empty( $user_ID ) ) {
			$user_level = get_user_meta( $user_ID, 'membership_level', true );
			if ( isset( $user_level ) && ! empty( $user_level ) ) {
				echo esc_attr( $mwb_wpr_shortcode_text_membership ) . ' ' . esc_attr( $user_level );
			}
		}
		return ob_get_clean();
	}

	/**
	 * Display the SIgnup Notification by using shortcode
	 *
	 * @name wpswing_signup_notific
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 */
	function wpswing_signup_notific() {
		ob_start();
		$general_settings  = get_option( 'mwb_wpr_settings_gallery', true );
		$enable_mwb_signup = isset( $general_settings['enable_mwb_signup'] ) ? intval( $general_settings['enable_mwb_signup'] ) : 0;
		if ( $enable_mwb_signup && ! is_user_logged_in() ) {
			$mwb_wpr_signup_value = isset( $general_settings['mwb_signup_value'] ) ? intval( $general_settings['mwb_signup_value'] ) : 1;
			?>
			<div class="woocommerce-message">
				<?php
					echo esc_attr_e( 'You will get ', 'woocommerce-ultimate-points-and-rewards' ) . esc_attr( $mwb_wpr_signup_value ) . esc_attr_e( ' points for SignUp', 'woocommerce-ultimate-points-and-rewards' );
				?>
			</div>
			<?php
		}
		return ob_get_clean();
	}

	// Activation hook.
	register_activation_hook( __FILE__, 'mwb_wpr_activation_functionality' );
	/**
	 * This function is used to schedule a cron for membership expiration
	 *
	 * @param string $network_wide network_wide.
	 * @return void
	 */
	function mwb_wpr_activation_functionality( $network_wide ) {
		global $wpdb;
		if ( is_multisite() || $network_wide ) {
			$blogids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );

			foreach ( $blogids as $blog_id ) {
				switch_to_blog( $blog_id );

				$mwb_wpr_existing_time = get_option( 'mwb_wpr_activation_date_time', 'not_yet' );
				if ( isset( $mwb_wpr_existing_time ) && 'not_yet' === $mwb_wpr_existing_time ) {
					$mwb_wpr_current_datetime = current_time( 'timestamp' );
					update_option( 'mwb_wpr_activation_date_time', $mwb_wpr_current_datetime );
				}
				if ( ! wp_next_scheduled( 'mwb_wpr_membership_cron_schedule' ) ) {
					wp_schedule_event( time(), 'daily', 'mwb_wpr_membership_cron_schedule' );
				}
				if ( ! wp_next_scheduled( 'mwb_wpr_points_expiration_cron_schedule' ) ) {
					wp_schedule_event( time(), 'daily', 'mwb_wpr_points_expiration_cron_schedule' );
				}

				restore_current_blog();
			}
		} else {
				$mwb_wpr_existing_time = get_option( 'mwb_wpr_activation_date_time', 'not_yet' );
			if ( isset( $mwb_wpr_existing_time ) && 'not_yet' === $mwb_wpr_existing_time ) {
				$mwb_wpr_current_datetime = current_time( 'timestamp' );
				update_option( 'mwb_wpr_activation_date_time', $mwb_wpr_current_datetime );
			}
			if ( ! wp_next_scheduled( 'mwb_wpr_membership_cron_schedule' ) ) {
				wp_schedule_event( time(), 'daily', 'mwb_wpr_membership_cron_schedule' );
			}
			if ( ! wp_next_scheduled( 'mwb_wpr_points_expiration_cron_schedule' ) ) {
				wp_schedule_event( time(), 'daily', 'mwb_wpr_points_expiration_cron_schedule' );
			}
		}

	}
	register_deactivation_hook( __FILE__, 'mwb_wpr_remove_cron_schedule' );

	/**
	 * This function is used to remove the cron schedule
	 *
	 * @name mwb_wpr_remove_cron_schedule
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 */
	function mwb_wpr_remove_cron_schedule() {
		wp_clear_scheduled_hook( 'mwb_wpr_membership_cron_schedule' );
		wp_clear_scheduled_hook( 'mwb_wpr_points_expiration_cron_schedule' );
	}

	/**
	 * This function is used to return the date format as per WP settings
	 *
	 * @param   int $saved_date   value for date.
	 * @name mwb_wpr_set_the_wordpress_date_format
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 **/
	function mwb_wpr_set_the_wordpress_date_format( $saved_date ) {
		$saved_date  = strtotime( $saved_date );
		$date_format = get_option( 'date_format', 'Y-m-d' );
		$time_format = get_option( 'time_format', 'g:i a' );
		$wp_date     = date_i18n( $date_format, $saved_date );
		$wp_time     = date_i18n( $time_format, $saved_date );
		$return_date = $wp_date . ' ' . $wp_time;
		return $return_date;
	}

	/*** +++++++ Declare HPOS compatibility. ++++++++ */

	/**
	 * This function is used to check hpos enable.
	 *
	 * @return boolean
	 */
	function mwb_par_is_hpos_enabled() {

		$is_hpos_enable = false;
		if ( class_exists( 'Automattic\WooCommerce\Utilities\OrderUtil' ) && OrderUtil::custom_orders_table_usage_is_enabled() ) {

			$is_hpos_enable = true;
		}
		return $is_hpos_enable;
	}

	/**
	 * This function is used to get post meta data.
	 *
	 * @param  string $id        id.
	 * @param  string $meta_key  meta key.
	 * @param  bool   $bool meta bool.
	 * @return string
	 */
	function mwb_par_hpos_get_meta_data( $id, $meta_key, $bool ) {

		if ( mwb_par_is_hpos_enabled() ) {

			$order      = wc_get_order( $id );
			$meta_value = $order->get_meta( $meta_key, $bool );
		} else {

			$meta_value = get_post_meta( $id, $meta_key, $bool );
		}
		return $meta_value;
	}

	/**
	 * This function is used to update meta data.
	 *
	 * @param string $id id.
	 * @param string $meta_key meta_key.
	 * @param string $meta_value meta_value.
	 * @return void
	 */
	function mwb_par_hpos_update_meta_data( $id, $meta_key, $meta_value ) {

		if ( mwb_par_is_hpos_enabled() ) {

			$order = wc_get_order( $id );
			$order->update_meta_data( $meta_key, $meta_value );
			$order->save();
		} else {

			update_post_meta( $id, $meta_key, $meta_value );
		}
	}

	/**
	 * This function is used delete meta data.
	 *
	 * @param string $id       id.
	 * @param string $meta_key meta_key.
	 * @return void
	 */
	function mwb_par_hpos_delete_meta_data( $id, $meta_key ) {

		if ( mwb_par_is_hpos_enabled() ) {

			$order = wc_get_order( $id );
			$order->delete_meta_data( $meta_key );
			$order->save();
		} else {

			delete_post_meta( $id, $meta_key );
		}
	}
} else {

	/**
	 * This function is used to display plugin activation error notice.
	 *
	 * @since    1.0.0
	 */
	function mwb_par_cc_activation_admin_notice() {

		global $mwb_par_cc_plugin_activation_pro;
		if ( 'woo_inactive' == $mwb_par_cc_plugin_activation_pro['message'] ) {
			?>
			<div class="notice notice-error is-dismissible mwb-notice">
				<p><strong><?php esc_html_e( 'WooCommerce', 'wishlist-for-woocommerce-pro' ); ?></strong><?php esc_html_e( ' is not activated, Please activate WooCommerce first to activate ', 'woocommerce-ultimate-points-and-rewards' ); ?><strong><?php esc_html_e( 'WooCommerce Ultimate Points and Rewards', 'woocommerce-ultimate-points-and-rewards' ); ?></strong><?php esc_html_e( '.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
			</div>
			<?php
		}
	}

	add_action( 'admin_init', 'mwb_par_cc_plugin_deactivate' );
	/**
	 * Call Admin notices
	 *
	 * @name mwb_wpr_plugin_deactivate()
	 * @author makewebbetter<webmaster@makewebbetter.com>
	 * @link https://www.makewebbetter.com/
	 */
	function mwb_par_cc_plugin_deactivate() {
		// To hide Plugin activated notice.
		if ( ! empty( $_GET['activate'] ) ) {
			unset( $_GET['activate'] );
		}

		deactivate_plugins( plugin_basename( __FILE__ ) );
	}

	// Add admin error notice.
	if ( is_multisite() ) {
		add_action( 'network_admin_notices', 'mwb_par_cc_activation_admin_notice' );
	} else {
		add_action( 'admin_notices', 'mwb_par_cc_activation_admin_notice' );
	}
}

// Auto update.
$mwb_wpr_license_key = get_option( 'mwb_wpr_license_key', '' );
define( 'MWB_WPR_LICENSE_KEY', $mwb_wpr_license_key );
define( 'MWB_WPR_FILE', __FILE__ );
$mwb_wpr_update_check = 'https://wpswings.com/pluginupdates/codecanyon/woocommerce-ultimate-points-and-rewards/update.php';
require_once 'class-mwb-wpr-update.php';
?>
